shibsp::AccessControl Class Referenceabstract

Interface to an access control plugin. More...

`#include <shibsp/AccessControl.h>`

Inheritance diagram for shibsp::AccessControl:
[legend]
Collaboration diagram for shibsp::AccessControl:
[legend]

## Public Types

enum | aclresult_t { shib_acl_true , shib_acl_false , shib_acl_indeterminate }
| Possible results from an access control decision.

## Public Member Functions

virtual aclresult_t | authorized (const SPRequest &request, const Session *session) const =0
| Perform an authorization check.

## Detailed Description

Interface to an access control plugin.

Access control plugins return authorization decisions based on the intersection of the resource request and the active session. They can be implemented through cross-platform or platform-specific mechanisms.

## Member Function Documentation

## authorized()

virtual aclresult_t shibsp::AccessControl::authorized | ( | const SPRequest & | request,
|  | const Session * | session ) const

pure virtual

Perform an authorization check.

Parameters

  request | SP request information
  session | active user session, if any

Returns
  true iff access should be granted

The documentation for this class was generated from the following file:

- shibsp/AccessControl.h